/*
 * 作成日： 2005/11/25
 *
 * TODO この生成されたファイルのテンプレートを変更するには次を参照。
 * ウィンドウ ＞ 設定 ＞ Java ＞ コード・スタイル ＞ コード・テンプレート
 */
package aji;

import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

/**
 * @author yuu_s
 *
 * TODO この生成された型コメントのテンプレートを変更するには次を参照。
 * ウィンドウ ＞ 設定 ＞ Java ＞ コード・スタイル ＞ コード・テンプレート
 * 
 ** 使い方 **
 * 	Singletonを使用する各クラスに、
 * 		Singleton instance = Singleton.getInstance();
 * 	を追加し、
 * 		instance.get〜()
 *  でもってそれぞれのinstanceをゲットする。
 *
 *  Singletonには、実体をひとつ生成すればよいオブジェクトを格納する
 */
public class Singleton {
	private static Singleton instance = new Singleton();
	private Shell shell;
	private Display display;
	private StatusBar bar;
	private Composite comp;

	private Singleton(){
		
	}
	
	public void setShell(Shell shell){
		this.shell = shell;
	}
	public void setDisplay(Display dis){
		this.display = dis;
	}
	public void setStatusBar(StatusBar bar){
		this.bar = bar;
	}
	
	public Shell getShell(){
		return shell;
	}
	public Display getDisplay(){
		return display;
	}
	public StatusBar getStatusBar(){
		return bar;
	}
	public static Singleton getInstance(){
		return instance;
	}
	public void setComp(Composite comp){
		this.comp = comp;
	}
	public Composite getComp(){
		return this.comp;
	}
	
}
